/*
 * Matrix -- algorithm simulation system
 * Copyright (C) 2000-2004 Matrix group
 * (See the AUTHORS file and the author tag below for more information
 * on the authors.)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* $Id: Validator.java,v 1.7 2004/05/25 13:28:27 kstalnac Exp $ */

package matrix.util;

import java.util.Vector;

public class Validator {
    private static Vector queue = new Vector();

    public static void add(Command c) {
        queue.addElement(c);
    }
    public static void validate() {
        while (!queue.isEmpty()) {
            Command c = (Command)queue.elementAt(0);
            c.execute();
            queue.removeElementAt(0);
        }
    }
}
